# -*- coding: utf-8 -*-

# Form implementation generated from reading ui file 'VoyagerGui.ui'
#
# Created by: PyQt5 UI code generator 5.15.6
#
# WARNING: Any manual changes made to this file will be lost when pyuic5 is
# run again.  Do not edit this file unless you know what you are doing.


from __future__ import absolute_import, division, print_function

from crys3d.hklviewer.qt import QWebEngineView
try: # if invoked by cctbx.python or some such
  from crys3d.hklviewer.helpers import HeaderDataTableWidget, MyQDoubleSpinBox # implicit import
except Exception as e: # if invoked by a generic python that doesn't know cctbx modules
  from .helpers import HeaderDataTableWidget, MyQDoubleSpinBox # implicit import

from crys3d.hklviewer.qt import ( QCoreApplication, QMetaObject, QRect, QSize, Qt,  # implicit import
 QFont, QAbstractItemView, QAction, QCheckBox, QComboBox, QLineEdit,
 QDoubleSpinBox, QFrame, QGridLayout, QGroupBox, QLabel, QPlainTextEdit,
 QPushButton, QRadioButton, QScrollArea, QSlider, QSplitter, QSizePolicy, QSpinBox,
 QTableWidget, QtCore, QtWidgets, QTabWidget, QTextEdit, QWidget, QIcon )

import sys
if 'PyQt5' in sys.modules:
  # PyQt5
  from PyQt5 import ( QtCore, QtWidgets, QtGui )   # special import
else:
  # PySide2
  from PySide2 import ( QtCore, QtWidgets, QtGui)   # special import



class Ui_MainWindow(object):
    def setupUi(self, MainWindow):
        MainWindow.setObjectName("MainWindow")
        MainWindow.resize(1300, 700)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Expanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(1)
        sizePolicy.setHeightForWidth(MainWindow.sizePolicy().hasHeightForWidth())
        MainWindow.setSizePolicy(sizePolicy)
        self.centralwidget = QtWidgets.QWidget(MainWindow)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Expanding)
        sizePolicy.setHorizontalStretch(3)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.centralwidget.sizePolicy().hasHeightForWidth())
        self.centralwidget.setSizePolicy(sizePolicy)
        self.centralwidget.setObjectName("centralwidget")
        self.gridLayout_2 = QtWidgets.QGridLayout(self.centralwidget)
        self.gridLayout_2.setContentsMargins(3, 3, 3, 3)
        self.gridLayout_2.setSpacing(4)
        self.gridLayout_2.setObjectName("gridLayout_2")
        self.widget = QtWidgets.QWidget(self.centralwidget)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Expanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.widget.sizePolicy().hasHeightForWidth())
        self.widget.setSizePolicy(sizePolicy)
        self.widget.setObjectName("widget")
        self.horizontalLayout = QtWidgets.QHBoxLayout(self.widget)
        self.horizontalLayout.setContentsMargins(0, 0, 0, 0)
        self.horizontalLayout.setSpacing(4)
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.splitter_3 = QtWidgets.QSplitter(self.widget)
        self.splitter_3.setOrientation(QtCore.Qt.Horizontal)
        self.splitter_3.setObjectName("splitter_3")
        self.widget_2 = QtWidgets.QWidget(self.splitter_3)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.widget_2.sizePolicy().hasHeightForWidth())
        self.widget_2.setSizePolicy(sizePolicy)
        self.widget_2.setObjectName("widget_2")
        self.gridLayout = QtWidgets.QGridLayout(self.widget_2)
        self.gridLayout.setContentsMargins(0, 0, 0, 0)
        self.gridLayout.setSpacing(4)
        self.gridLayout.setObjectName("gridLayout")
        self.splitter_2 = QtWidgets.QSplitter(self.widget_2)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.splitter_2.sizePolicy().hasHeightForWidth())
        self.splitter_2.setSizePolicy(sizePolicy)
        self.splitter_2.setBaseSize(QtCore.QSize(0, 100))
        self.splitter_2.setOrientation(QtCore.Qt.Vertical)
        self.splitter_2.setObjectName("splitter_2")
        self.tabWidget = QtWidgets.QTabWidget(self.splitter_2)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Expanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.tabWidget.sizePolicy().hasHeightForWidth())
        self.tabWidget.setSizePolicy(sizePolicy)
        self.tabWidget.setMinimumSize(QtCore.QSize(620, 0))
        self.tabWidget.setUsesScrollButtons(True)
        self.tabWidget.setTabBarAutoHide(True)
        self.tabWidget.setObjectName("tabWidget")
        self.tab = QtWidgets.QWidget()
        self.tab.setObjectName("tab")
        self.layoutWidget = QtWidgets.QWidget(self.tab)
        self.layoutWidget.setGeometry(QtCore.QRect(5, 5, 611, 261))
        self.layoutWidget.setObjectName("layoutWidget")
        self.gridLayout_8 = QtWidgets.QGridLayout(self.layoutWidget)
        self.gridLayout_8.setSizeConstraint(QtWidgets.QLayout.SetDefaultConstraint)
        self.gridLayout_8.setContentsMargins(3, 3, 3, 3)
        self.gridLayout_8.setSpacing(4)
        self.gridLayout_8.setObjectName("gridLayout_8")
        self.label = QtWidgets.QLabel(self.layoutWidget)
        self.label.setObjectName("label")
        self.gridLayout_8.addWidget(self.label, 0, 0, 1, 2)
        self.line_3 = QtWidgets.QFrame(self.layoutWidget)
        self.line_3.setFrameShape(QtWidgets.QFrame.HLine)
        self.line_3.setFrameShadow(QtWidgets.QFrame.Sunken)
        self.line_3.setObjectName("line_3")
        self.gridLayout_8.addWidget(self.line_3, 2, 0, 1, 2)
        self.documentation = QtWidgets.QPushButton(self.layoutWidget)
        self.documentation.setObjectName("documentation")
        self.gridLayout_8.addWidget(self.documentation, 1, 0, 1, 2)
        self.tabWidget.addTab(self.tab, "")
        self.tab_2 = QtWidgets.QWidget()
        self.tab_2.setObjectName("tab_2")
        self.layoutWidget_2 = QtWidgets.QWidget(self.tab_2)
        self.layoutWidget_2.setGeometry(QtCore.QRect(5, 5, 611, 126))
        self.layoutWidget_2.setObjectName("layoutWidget_2")
        self.gridLayout_9 = QtWidgets.QGridLayout(self.layoutWidget_2)
        self.gridLayout_9.setSizeConstraint(QtWidgets.QLayout.SetDefaultConstraint)
        self.gridLayout_9.setContentsMargins(3, 3, 3, 3)
        self.gridLayout_9.setSpacing(4)
        self.gridLayout_9.setObjectName("gridLayout_9")
        self.label_tute = QtWidgets.QLabel(self.layoutWidget_2)
        self.label_tute.setToolTipDuration(0)
        self.label_tute.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.label_tute.setObjectName("label_tute")
        self.gridLayout_9.addWidget(self.label_tute, 2, 0, 1, 1)
        self.combo_tute = QtWidgets.QComboBox(self.layoutWidget_2)
        self.combo_tute.setObjectName("combo_tute")
        self.combo_tute.addItem("")
        self.combo_tute.addItem("")
        self.combo_tute.addItem("")
        self.combo_tute.addItem("")
        self.combo_tute.addItem("")
        self.combo_tute.addItem("")
        self.combo_tute.addItem("")
        self.combo_tute.addItem("")
        self.gridLayout_9.addWidget(self.combo_tute, 2, 1, 1, 1)
        self.label_10 = QtWidgets.QLabel(self.layoutWidget_2)
        self.label_10.setText("")
        self.label_10.setObjectName("label_10")
        self.gridLayout_9.addWidget(self.label_10, 3, 1, 1, 1)
        self.label_3 = QtWidgets.QLabel(self.layoutWidget_2)
        self.label_3.setObjectName("label_3")
        self.gridLayout_9.addWidget(self.label_3, 0, 0, 1, 3)
        self.label_9 = QtWidgets.QLabel(self.layoutWidget_2)
        self.label_9.setObjectName("label_9")
        self.gridLayout_9.addWidget(self.label_9, 1, 0, 1, 1)
        self.reset_tutorial = QtWidgets.QPushButton(self.layoutWidget_2)
        self.reset_tutorial.setObjectName("reset_tutorial")
        self.gridLayout_9.addWidget(self.reset_tutorial, 2, 3, 1, 1)
        self.dot_tmp = QtWidgets.QToolButton(self.layoutWidget_2)
        self.dot_tmp.setObjectName("dot_tmp")
        self.gridLayout_9.addWidget(self.dot_tmp, 1, 2, 1, 1)
        self.edit_tmp = QtWidgets.QLineEdit(self.layoutWidget_2)
        self.edit_tmp.setObjectName("edit_tmp")
        self.gridLayout_9.addWidget(self.edit_tmp, 1, 1, 1, 1)
        self.tabWidget.addTab(self.tab_2, "")
        self.Input = QtWidgets.QWidget()
        self.Input.setMinimumSize(QtCore.QSize(0, 0))
        self.Input.setObjectName("Input")
        self.gridLayout_6 = QtWidgets.QGridLayout(self.Input)
        self.gridLayout_6.setContentsMargins(3, 3, 3, 3)
        self.gridLayout_6.setSpacing(4)
        self.gridLayout_6.setObjectName("gridLayout_6")
        self.gridLayout_3 = QtWidgets.QGridLayout()
        self.gridLayout_3.setSizeConstraint(QtWidgets.QLayout.SetNoConstraint)
        self.gridLayout_3.setSpacing(4)
        self.gridLayout_3.setObjectName("gridLayout_3")
        self.out_phil = QtWidgets.QLineEdit(self.Input)
        self.out_phil.setObjectName("out_phil")
        self.gridLayout_3.addWidget(self.out_phil, 6, 1, 1, 2)
        self.line = QtWidgets.QFrame(self.Input)
        self.line.setFrameShape(QtWidgets.QFrame.HLine)
        self.line.setFrameShadow(QtWidgets.QFrame.Sunken)
        self.line.setObjectName("line")
        self.gridLayout_3.addWidget(self.line, 5, 0, 1, 4)
        self.label_4 = QtWidgets.QLabel(self.Input)
        self.label_4.setObjectName("label_4")
        self.gridLayout_3.addWidget(self.label_4, 6, 0, 1, 1)
        self.edit_database = QtWidgets.QLineEdit(self.Input)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.edit_database.sizePolicy().hasHeightForWidth())
        self.edit_database.setSizePolicy(sizePolicy)
        self.edit_database.setText("")
        self.edit_database.setObjectName("edit_database")
        self.gridLayout_3.addWidget(self.edit_database, 1, 1, 1, 2)
        self.status_protocol = QtWidgets.QLabel(self.Input)
        self.status_protocol.setMaximumSize(QtCore.QSize(85, 16777215))
        self.status_protocol.setAlignment(QtCore.Qt.AlignCenter)
        self.status_protocol.setObjectName("status_protocol")
        self.gridLayout_3.addWidget(self.status_protocol, 9, 3, 1, 1)
        self.label_a4 = QtWidgets.QLabel(self.Input)
        self.label_a4.setObjectName("label_a4")
        self.gridLayout_3.addWidget(self.label_a4, 2, 0, 1, 1)
        self.dot_data = QtWidgets.QToolButton(self.Input)
        self.dot_data.setObjectName("dot_data")
        self.gridLayout_3.addWidget(self.dot_data, 0, 3, 1, 1)
        self.label_a6 = QtWidgets.QLabel(self.Input)
        self.label_a6.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.label_a6.setObjectName("label_a6")
        self.gridLayout_3.addWidget(self.label_a6, 9, 2, 1, 1)
        self.edit_protocol = QtWidgets.QComboBox(self.Input)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.edit_protocol.sizePolicy().hasHeightForWidth())
        self.edit_protocol.setSizePolicy(sizePolicy)
        self.edit_protocol.setObjectName("edit_protocol")
        self.edit_protocol.addItem("")
        self.edit_protocol.setItemText(0, "scotty")
        self.edit_protocol.addItem("")
        self.edit_protocol.addItem("")
        self.edit_protocol.addItem("")
        self.edit_protocol.addItem("")
        self.gridLayout_3.addWidget(self.edit_protocol, 8, 1, 1, 2)
        self.dot_database = QtWidgets.QToolButton(self.Input)
        self.dot_database.setObjectName("dot_database")
        self.gridLayout_3.addWidget(self.dot_database, 1, 3, 1, 1)
        self.edit_data = QtWidgets.QLineEdit(self.Input)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(1)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.edit_data.sizePolicy().hasHeightForWidth())
        self.edit_data.setSizePolicy(sizePolicy)
        self.edit_data.setObjectName("edit_data")
        self.gridLayout_3.addWidget(self.edit_data, 0, 1, 1, 2)
        self.label_a2 = QtWidgets.QLabel(self.Input)
        self.label_a2.setObjectName("label_a2")
        self.gridLayout_3.addWidget(self.label_a2, 1, 0, 1, 1, QtCore.Qt.AlignLeft)
        self.edit_phil = QtWidgets.QLineEdit(self.Input)
        self.edit_phil.setObjectName("edit_phil")
        self.gridLayout_3.addWidget(self.edit_phil, 2, 1, 1, 2)
        self.dot_phil = QtWidgets.QToolButton(self.Input)
        self.dot_phil.setObjectName("dot_phil")
        self.gridLayout_3.addWidget(self.dot_phil, 2, 3, 1, 1)
        self.label_a1 = QtWidgets.QLabel(self.Input)
        self.label_a1.setObjectName("label_a1")
        self.gridLayout_3.addWidget(self.label_a1, 0, 0, 1, 1, QtCore.Qt.AlignLeft)
        self.label_a5 = QtWidgets.QLabel(self.Input)
        self.label_a5.setObjectName("label_a5")
        self.gridLayout_3.addWidget(self.label_a5, 8, 0, 1, 1, QtCore.Qt.AlignRight)
        self.run_protocol = QtWidgets.QPushButton(self.Input)
        self.run_protocol.setEnabled(True)
        self.run_protocol.setMaximumSize(QtCore.QSize(85, 16777215))
        palette = QtGui.QPalette()
        brush = QtGui.QBrush(QtGui.QColor(0, 0, 0))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Active, QtGui.QPalette.WindowText, brush)
        brush = QtGui.QBrush(QtGui.QColor(143, 240, 164))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Active, QtGui.QPalette.Button, brush)
        brush = QtGui.QBrush(QtGui.QColor(255, 255, 255))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Active, QtGui.QPalette.Light, brush)
        brush = QtGui.QBrush(QtGui.QColor(199, 247, 209))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Active, QtGui.QPalette.Midlight, brush)
        brush = QtGui.QBrush(QtGui.QColor(72, 120, 82))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Active, QtGui.QPalette.Dark, brush)
        brush = QtGui.QBrush(QtGui.QColor(95, 160, 109))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Active, QtGui.QPalette.Mid, brush)
        brush = QtGui.QBrush(QtGui.QColor(0, 0, 0))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Active, QtGui.QPalette.Text, brush)
        brush = QtGui.QBrush(QtGui.QColor(255, 255, 255))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Active, QtGui.QPalette.BrightText, brush)
        brush = QtGui.QBrush(QtGui.QColor(0, 0, 0))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Active, QtGui.QPalette.ButtonText, brush)
        brush = QtGui.QBrush(QtGui.QColor(255, 255, 255))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Active, QtGui.QPalette.Base, brush)
        brush = QtGui.QBrush(QtGui.QColor(143, 240, 164))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Active, QtGui.QPalette.Window, brush)
        brush = QtGui.QBrush(QtGui.QColor(0, 0, 0))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Active, QtGui.QPalette.Shadow, brush)
        brush = QtGui.QBrush(QtGui.QColor(199, 247, 209))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Active, QtGui.QPalette.AlternateBase, brush)
        brush = QtGui.QBrush(QtGui.QColor(255, 255, 220))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Active, QtGui.QPalette.ToolTipBase, brush)
        brush = QtGui.QBrush(QtGui.QColor(0, 0, 0))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Active, QtGui.QPalette.ToolTipText, brush)
        brush = QtGui.QBrush(QtGui.QColor(0, 0, 0, 128))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Active, QtGui.QPalette.PlaceholderText, brush)
        brush = QtGui.QBrush(QtGui.QColor(0, 0, 0))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Inactive, QtGui.QPalette.WindowText, brush)
        brush = QtGui.QBrush(QtGui.QColor(143, 240, 164))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Inactive, QtGui.QPalette.Button, brush)
        brush = QtGui.QBrush(QtGui.QColor(255, 255, 255))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Inactive, QtGui.QPalette.Light, brush)
        brush = QtGui.QBrush(QtGui.QColor(199, 247, 209))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Inactive, QtGui.QPalette.Midlight, brush)
        brush = QtGui.QBrush(QtGui.QColor(72, 120, 82))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Inactive, QtGui.QPalette.Dark, brush)
        brush = QtGui.QBrush(QtGui.QColor(95, 160, 109))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Inactive, QtGui.QPalette.Mid, brush)
        brush = QtGui.QBrush(QtGui.QColor(0, 0, 0))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Inactive, QtGui.QPalette.Text, brush)
        brush = QtGui.QBrush(QtGui.QColor(255, 255, 255))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Inactive, QtGui.QPalette.BrightText, brush)
        brush = QtGui.QBrush(QtGui.QColor(0, 0, 0))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Inactive, QtGui.QPalette.ButtonText, brush)
        brush = QtGui.QBrush(QtGui.QColor(255, 255, 255))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Inactive, QtGui.QPalette.Base, brush)
        brush = QtGui.QBrush(QtGui.QColor(143, 240, 164))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Inactive, QtGui.QPalette.Window, brush)
        brush = QtGui.QBrush(QtGui.QColor(0, 0, 0))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Inactive, QtGui.QPalette.Shadow, brush)
        brush = QtGui.QBrush(QtGui.QColor(199, 247, 209))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Inactive, QtGui.QPalette.AlternateBase, brush)
        brush = QtGui.QBrush(QtGui.QColor(255, 255, 220))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Inactive, QtGui.QPalette.ToolTipBase, brush)
        brush = QtGui.QBrush(QtGui.QColor(0, 0, 0))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Inactive, QtGui.QPalette.ToolTipText, brush)
        brush = QtGui.QBrush(QtGui.QColor(0, 0, 0, 128))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Inactive, QtGui.QPalette.PlaceholderText, brush)
        brush = QtGui.QBrush(QtGui.QColor(72, 120, 82))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Disabled, QtGui.QPalette.WindowText, brush)
        brush = QtGui.QBrush(QtGui.QColor(143, 240, 164))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Disabled, QtGui.QPalette.Button, brush)
        brush = QtGui.QBrush(QtGui.QColor(255, 255, 255))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Disabled, QtGui.QPalette.Light, brush)
        brush = QtGui.QBrush(QtGui.QColor(199, 247, 209))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Disabled, QtGui.QPalette.Midlight, brush)
        brush = QtGui.QBrush(QtGui.QColor(72, 120, 82))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Disabled, QtGui.QPalette.Dark, brush)
        brush = QtGui.QBrush(QtGui.QColor(95, 160, 109))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Disabled, QtGui.QPalette.Mid, brush)
        brush = QtGui.QBrush(QtGui.QColor(72, 120, 82))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Disabled, QtGui.QPalette.Text, brush)
        brush = QtGui.QBrush(QtGui.QColor(255, 255, 255))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Disabled, QtGui.QPalette.BrightText, brush)
        brush = QtGui.QBrush(QtGui.QColor(72, 120, 82))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Disabled, QtGui.QPalette.ButtonText, brush)
        brush = QtGui.QBrush(QtGui.QColor(143, 240, 164))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Disabled, QtGui.QPalette.Base, brush)
        brush = QtGui.QBrush(QtGui.QColor(143, 240, 164))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Disabled, QtGui.QPalette.Window, brush)
        brush = QtGui.QBrush(QtGui.QColor(0, 0, 0))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Disabled, QtGui.QPalette.Shadow, brush)
        brush = QtGui.QBrush(QtGui.QColor(143, 240, 164))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Disabled, QtGui.QPalette.AlternateBase, brush)
        brush = QtGui.QBrush(QtGui.QColor(255, 255, 220))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Disabled, QtGui.QPalette.ToolTipBase, brush)
        brush = QtGui.QBrush(QtGui.QColor(0, 0, 0))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Disabled, QtGui.QPalette.ToolTipText, brush)
        brush = QtGui.QBrush(QtGui.QColor(0, 0, 0, 128))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Disabled, QtGui.QPalette.PlaceholderText, brush)
        self.run_protocol.setPalette(palette)
        self.run_protocol.setObjectName("run_protocol")
        self.gridLayout_3.addWidget(self.run_protocol, 8, 3, 1, 1)
        self.line_2 = QtWidgets.QFrame(self.Input)
        self.line_2.setFrameShape(QtWidgets.QFrame.HLine)
        self.line_2.setFrameShadow(QtWidgets.QFrame.Sunken)
        self.line_2.setObjectName("line_2")
        self.gridLayout_3.addWidget(self.line_2, 7, 0, 1, 4)
        self.plainTextEdit = QtWidgets.QPlainTextEdit(self.Input)
        self.plainTextEdit.setObjectName("plainTextEdit")
        self.gridLayout_3.addWidget(self.plainTextEdit, 4, 1, 1, 2)
        self.gridLayout_6.addLayout(self.gridLayout_3, 1, 0, 1, 1)
        self.tabWidget.addTab(self.Input, "")
        self.Progress = QtWidgets.QWidget()
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Expanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.Progress.sizePolicy().hasHeightForWidth())
        self.Progress.setSizePolicy(sizePolicy)
        self.Progress.setMinimumSize(QtCore.QSize(0, 0))
        self.Progress.setObjectName("Progress")
        self.gridLayout_5 = QtWidgets.QGridLayout(self.Progress)
        self.gridLayout_5.setContentsMargins(3, 3, 3, 3)
        self.gridLayout_5.setSpacing(4)
        self.gridLayout_5.setObjectName("gridLayout_5")
        self.gridLayout_4 = QtWidgets.QGridLayout()
        self.gridLayout_4.setSizeConstraint(QtWidgets.QLayout.SetDefaultConstraint)
        self.gridLayout_4.setContentsMargins(4, -1, -1, -1)
        self.gridLayout_4.setSpacing(4)
        self.gridLayout_4.setObjectName("gridLayout_4")
        self.label_b1 = QtWidgets.QLabel(self.Progress)
        self.label_b1.setMaximumSize(QtCore.QSize(150, 16777215))
        self.label_b1.setObjectName("label_b1")
        self.gridLayout_4.addWidget(self.label_b1, 0, 0, 1, 2)
        self.label_b2 = QtWidgets.QLabel(self.Progress)
        self.label_b2.setMaximumSize(QtCore.QSize(150, 16777215))
        self.label_b2.setObjectName("label_b2")
        self.gridLayout_4.addWidget(self.label_b2, 2, 0, 1, 2)
        self.update_1 = QtWidgets.QPushButton(self.Progress)
        self.update_1.setMaximumSize(QtCore.QSize(85, 16777215))
        palette = QtGui.QPalette()
        brush = QtGui.QBrush(QtGui.QColor(0, 0, 0))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Active, QtGui.QPalette.WindowText, brush)
        brush = QtGui.QBrush(QtGui.QColor(143, 240, 164))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Active, QtGui.QPalette.Button, brush)
        brush = QtGui.QBrush(QtGui.QColor(255, 255, 255))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Active, QtGui.QPalette.Light, brush)
        brush = QtGui.QBrush(QtGui.QColor(199, 247, 209))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Active, QtGui.QPalette.Midlight, brush)
        brush = QtGui.QBrush(QtGui.QColor(72, 120, 82))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Active, QtGui.QPalette.Dark, brush)
        brush = QtGui.QBrush(QtGui.QColor(95, 160, 109))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Active, QtGui.QPalette.Mid, brush)
        brush = QtGui.QBrush(QtGui.QColor(0, 0, 0))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Active, QtGui.QPalette.Text, brush)
        brush = QtGui.QBrush(QtGui.QColor(255, 255, 255))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Active, QtGui.QPalette.BrightText, brush)
        brush = QtGui.QBrush(QtGui.QColor(0, 0, 0))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Active, QtGui.QPalette.ButtonText, brush)
        brush = QtGui.QBrush(QtGui.QColor(255, 255, 255))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Active, QtGui.QPalette.Base, brush)
        brush = QtGui.QBrush(QtGui.QColor(143, 240, 164))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Active, QtGui.QPalette.Window, brush)
        brush = QtGui.QBrush(QtGui.QColor(0, 0, 0))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Active, QtGui.QPalette.Shadow, brush)
        brush = QtGui.QBrush(QtGui.QColor(199, 247, 209))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Active, QtGui.QPalette.AlternateBase, brush)
        brush = QtGui.QBrush(QtGui.QColor(255, 255, 220))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Active, QtGui.QPalette.ToolTipBase, brush)
        brush = QtGui.QBrush(QtGui.QColor(0, 0, 0))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Active, QtGui.QPalette.ToolTipText, brush)
        brush = QtGui.QBrush(QtGui.QColor(0, 0, 0, 128))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Active, QtGui.QPalette.PlaceholderText, brush)
        brush = QtGui.QBrush(QtGui.QColor(0, 0, 0))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Inactive, QtGui.QPalette.WindowText, brush)
        brush = QtGui.QBrush(QtGui.QColor(143, 240, 164))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Inactive, QtGui.QPalette.Button, brush)
        brush = QtGui.QBrush(QtGui.QColor(255, 255, 255))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Inactive, QtGui.QPalette.Light, brush)
        brush = QtGui.QBrush(QtGui.QColor(199, 247, 209))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Inactive, QtGui.QPalette.Midlight, brush)
        brush = QtGui.QBrush(QtGui.QColor(72, 120, 82))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Inactive, QtGui.QPalette.Dark, brush)
        brush = QtGui.QBrush(QtGui.QColor(95, 160, 109))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Inactive, QtGui.QPalette.Mid, brush)
        brush = QtGui.QBrush(QtGui.QColor(0, 0, 0))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Inactive, QtGui.QPalette.Text, brush)
        brush = QtGui.QBrush(QtGui.QColor(255, 255, 255))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Inactive, QtGui.QPalette.BrightText, brush)
        brush = QtGui.QBrush(QtGui.QColor(0, 0, 0))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Inactive, QtGui.QPalette.ButtonText, brush)
        brush = QtGui.QBrush(QtGui.QColor(255, 255, 255))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Inactive, QtGui.QPalette.Base, brush)
        brush = QtGui.QBrush(QtGui.QColor(143, 240, 164))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Inactive, QtGui.QPalette.Window, brush)
        brush = QtGui.QBrush(QtGui.QColor(0, 0, 0))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Inactive, QtGui.QPalette.Shadow, brush)
        brush = QtGui.QBrush(QtGui.QColor(199, 247, 209))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Inactive, QtGui.QPalette.AlternateBase, brush)
        brush = QtGui.QBrush(QtGui.QColor(255, 255, 220))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Inactive, QtGui.QPalette.ToolTipBase, brush)
        brush = QtGui.QBrush(QtGui.QColor(0, 0, 0))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Inactive, QtGui.QPalette.ToolTipText, brush)
        brush = QtGui.QBrush(QtGui.QColor(0, 0, 0, 128))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Inactive, QtGui.QPalette.PlaceholderText, brush)
        brush = QtGui.QBrush(QtGui.QColor(72, 120, 82))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Disabled, QtGui.QPalette.WindowText, brush)
        brush = QtGui.QBrush(QtGui.QColor(143, 240, 164))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Disabled, QtGui.QPalette.Button, brush)
        brush = QtGui.QBrush(QtGui.QColor(255, 255, 255))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Disabled, QtGui.QPalette.Light, brush)
        brush = QtGui.QBrush(QtGui.QColor(199, 247, 209))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Disabled, QtGui.QPalette.Midlight, brush)
        brush = QtGui.QBrush(QtGui.QColor(72, 120, 82))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Disabled, QtGui.QPalette.Dark, brush)
        brush = QtGui.QBrush(QtGui.QColor(95, 160, 109))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Disabled, QtGui.QPalette.Mid, brush)
        brush = QtGui.QBrush(QtGui.QColor(72, 120, 82))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Disabled, QtGui.QPalette.Text, brush)
        brush = QtGui.QBrush(QtGui.QColor(255, 255, 255))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Disabled, QtGui.QPalette.BrightText, brush)
        brush = QtGui.QBrush(QtGui.QColor(72, 120, 82))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Disabled, QtGui.QPalette.ButtonText, brush)
        brush = QtGui.QBrush(QtGui.QColor(143, 240, 164))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Disabled, QtGui.QPalette.Base, brush)
        brush = QtGui.QBrush(QtGui.QColor(143, 240, 164))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Disabled, QtGui.QPalette.Window, brush)
        brush = QtGui.QBrush(QtGui.QColor(0, 0, 0))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Disabled, QtGui.QPalette.Shadow, brush)
        brush = QtGui.QBrush(QtGui.QColor(143, 240, 164))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Disabled, QtGui.QPalette.AlternateBase, brush)
        brush = QtGui.QBrush(QtGui.QColor(255, 255, 220))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Disabled, QtGui.QPalette.ToolTipBase, brush)
        brush = QtGui.QBrush(QtGui.QColor(0, 0, 0))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Disabled, QtGui.QPalette.ToolTipText, brush)
        brush = QtGui.QBrush(QtGui.QColor(0, 0, 0, 128))
        brush.setStyle(QtCore.Qt.SolidPattern)
        palette.setBrush(QtGui.QPalette.Disabled, QtGui.QPalette.PlaceholderText, brush)
        self.update_1.setPalette(palette)
        self.update_1.setContextMenuPolicy(QtCore.Qt.DefaultContextMenu)
        self.update_1.setObjectName("update_1")
        self.gridLayout_4.addWidget(self.update_1, 0, 6, 1, 1)
        self.edit_tree = QtWidgets.QLineEdit(self.Progress)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(1)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.edit_tree.sizePolicy().hasHeightForWidth())
        self.edit_tree.setSizePolicy(sizePolicy)
        self.edit_tree.setObjectName("edit_tree")
        self.gridLayout_4.addWidget(self.edit_tree, 0, 2, 1, 3)
        self.show_1 = QtWidgets.QPushButton(self.Progress)
        self.show_1.setObjectName("show_1")
        self.gridLayout_4.addWidget(self.show_1, 2, 6, 1, 1)
        self.treeWidget = QtWidgets.QTreeWidget(self.Progress)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Expanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(1)
        sizePolicy.setHeightForWidth(self.treeWidget.sizePolicy().hasHeightForWidth())
        self.treeWidget.setSizePolicy(sizePolicy)
        self.treeWidget.setObjectName("treeWidget")
        self.treeWidget.headerItem().setText(0, "cascading tree view of progress")
        self.gridLayout_4.addWidget(self.treeWidget, 3, 0, 1, 7)
        self.dot_tree = QtWidgets.QToolButton(self.Progress)
        self.dot_tree.setObjectName("dot_tree")
        self.gridLayout_4.addWidget(self.dot_tree, 0, 5, 1, 1)
        self.view_protocol = QtWidgets.QComboBox(self.Progress)
        self.view_protocol.setObjectName("view_protocol")
        self.view_protocol.addItem("")
        self.view_protocol.addItem("")
        self.view_protocol.addItem("")
        self.view_protocol.addItem("")
        self.view_protocol.addItem("")
        self.view_protocol.addItem("")
        self.gridLayout_4.addWidget(self.view_protocol, 2, 2, 1, 3)
        self.gridLayout_5.addLayout(self.gridLayout_4, 0, 0, 1, 1)
        self.tabWidget.addTab(self.Progress, "")
        self.Results = QtWidgets.QWidget()
        self.Results.setObjectName("Results")
        self.layoutWidget1 = QtWidgets.QWidget(self.Results)
        self.layoutWidget1.setGeometry(QtCore.QRect(5, 10, 601, 301))
        self.layoutWidget1.setObjectName("layoutWidget1")
        self.gridLayout_7 = QtWidgets.QGridLayout(self.layoutWidget1)
        self.gridLayout_7.setContentsMargins(3, 3, 3, 3)
        self.gridLayout_7.setSpacing(4)
        self.gridLayout_7.setObjectName("gridLayout_7")
        self.label_15 = QtWidgets.QLabel(self.layoutWidget1)
        self.label_15.setText("")
        self.label_15.setObjectName("label_15")
        self.gridLayout_7.addWidget(self.label_15, 4, 2, 1, 1)
        self.spinBox_2 = QtWidgets.QSpinBox(self.layoutWidget1)
        self.spinBox_2.setEnabled(True)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Maximum)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.spinBox_2.sizePolicy().hasHeightForWidth())
        self.spinBox_2.setSizePolicy(sizePolicy)
        self.spinBox_2.setMinimumSize(QtCore.QSize(0, 1))
        self.spinBox_2.setMaximumSize(QtCore.QSize(16777215, 16777215))
        self.spinBox_2.setReadOnly(False)
        self.spinBox_2.setCorrectionMode(QtWidgets.QAbstractSpinBox.CorrectToPreviousValue)
        self.spinBox_2.setMinimum(5)
        self.spinBox_2.setMaximum(180)
        self.spinBox_2.setSingleStep(5)
        self.spinBox_2.setProperty("value", 180)
        self.spinBox_2.setDisplayIntegerBase(10)
        self.spinBox_2.setObjectName("spinBox_2")
        self.gridLayout_7.addWidget(self.spinBox_2, 2, 3, 1, 1)
        self.radioButton_1 = QtWidgets.QRadioButton(self.layoutWidget1)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.radioButton_1.sizePolicy().hasHeightForWidth())
        self.radioButton_1.setSizePolicy(sizePolicy)
        self.radioButton_1.setObjectName("radioButton_1")
        self.gridLayout_7.addWidget(self.radioButton_1, 2, 1, 1, 2)
        self.radioButton_2 = QtWidgets.QRadioButton(self.layoutWidget1)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.radioButton_2.sizePolicy().hasHeightForWidth())
        self.radioButton_2.setSizePolicy(sizePolicy)
        self.radioButton_2.setObjectName("radioButton_2")
        self.gridLayout_7.addWidget(self.radioButton_2, 3, 1, 1, 2)
        self.label_2 = QtWidgets.QLabel(self.layoutWidget1)
        self.label_2.setObjectName("label_2")
        self.gridLayout_7.addWidget(self.label_2, 1, 0, 1, 1)
        self.nodetext_1 = QtWidgets.QLineEdit(self.layoutWidget1)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(1)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.nodetext_1.sizePolicy().hasHeightForWidth())
        self.nodetext_1.setSizePolicy(sizePolicy)
        self.nodetext_1.setMinimumSize(QtCore.QSize(80, 0))
        self.nodetext_1.setMaximumSize(QtCore.QSize(100, 16777215))
        self.nodetext_1.setObjectName("nodetext_1")
        self.gridLayout_7.addWidget(self.nodetext_1, 1, 1, 1, 1)
        self.label_16 = QtWidgets.QLabel(self.layoutWidget1)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.label_16.sizePolicy().hasHeightForWidth())
        self.label_16.setSizePolicy(sizePolicy)
        self.label_16.setAlignment(QtCore.Qt.AlignBottom|QtCore.Qt.AlignLeading|QtCore.Qt.AlignLeft)
        self.label_16.setObjectName("label_16")
        self.gridLayout_7.addWidget(self.label_16, 5, 0, 1, 1, QtCore.Qt.AlignVCenter)
        self.nodetext_2 = QtWidgets.QLineEdit(self.layoutWidget1)
        self.nodetext_2.setMaximumSize(QtCore.QSize(100, 16777215))
        self.nodetext_2.setObjectName("nodetext_2")
        self.gridLayout_7.addWidget(self.nodetext_2, 5, 1, 1, 1)
        self.radioButton_3 = QtWidgets.QRadioButton(self.layoutWidget1)
        self.radioButton_3.setObjectName("radioButton_3")
        self.gridLayout_7.addWidget(self.radioButton_3, 6, 1, 1, 2)
        self.radioButton_4 = QtWidgets.QRadioButton(self.layoutWidget1)
        self.radioButton_4.setObjectName("radioButton_4")
        self.gridLayout_7.addWidget(self.radioButton_4, 7, 1, 1, 2)
        self.radioButton_5 = QtWidgets.QRadioButton(self.layoutWidget1)
        self.radioButton_5.setObjectName("radioButton_5")
        self.gridLayout_7.addWidget(self.radioButton_5, 8, 1, 1, 2)
        self.tabWidget.addTab(self.Results, "")
        self.textInfo = QtWidgets.QPlainTextEdit(self.splitter_2)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Expanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.textInfo.sizePolicy().hasHeightForWidth())
        self.textInfo.setSizePolicy(sizePolicy)
        self.textInfo.setMinimumSize(QtCore.QSize(0, 50))
        self.textInfo.setMaximumSize(QtCore.QSize(16777215, 100))
        font = QtGui.QFont()
        font.setFamily("Courier New")
        font.setPointSize(9)
        self.textInfo.setFont(font)
        self.textInfo.setVerticalScrollBarPolicy(QtCore.Qt.ScrollBarAlwaysOn)
        self.textInfo.setHorizontalScrollBarPolicy(QtCore.Qt.ScrollBarAlwaysOn)
        self.textInfo.setLineWrapMode(QtWidgets.QPlainTextEdit.NoWrap)
        self.textInfo.setReadOnly(True)
        self.textInfo.setObjectName("textInfo")
        self.gridLayout.addWidget(self.splitter_2, 0, 0, 1, 1)
        self.BrowserBox = QWebEngineView(self.splitter_3)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Preferred, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(4)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.BrowserBox.sizePolicy().hasHeightForWidth())
        self.BrowserBox.setSizePolicy(sizePolicy)
        self.BrowserBox.setMinimumSize(QtCore.QSize(466, 0))
        self.BrowserBox.setToolTipDuration(10)
        self.BrowserBox.setAutoFillBackground(True)
        self.BrowserBox.setObjectName("BrowserBox")
        self.horizontalLayout.addWidget(self.splitter_3)
        self.gridLayout_2.addWidget(self.widget, 0, 0, 1, 1)
        MainWindow.setCentralWidget(self.centralwidget)
        self.actionOpen_reflection_file = QtWidgets.QAction(MainWindow)
        self.actionOpen_reflection_file.setObjectName("actionOpen_reflection_file")
        self.actionSettings = QtWidgets.QAction(MainWindow)
        self.actionSettings.setObjectName("actionSettings")
        self.actiondebug = QtWidgets.QAction(MainWindow)
        self.actiondebug.setObjectName("actiondebug")
        self.actionExit = QtWidgets.QAction(MainWindow)
        self.actionExit.setObjectName("actionExit")
        self.actionSave_reflection_file = QtWidgets.QAction(MainWindow)
        self.actionSave_reflection_file.setObjectName("actionSave_reflection_file")
        self.actionReset_View = QtWidgets.QAction(MainWindow)
        self.actionReset_View.setObjectName("actionReset_View")
        self.actionSave_Current_Image = QtWidgets.QAction(MainWindow)
        self.actionSave_Current_Image.setObjectName("actionSave_Current_Image")
        self.actionCCTBXwebsite = QtWidgets.QAction(MainWindow)
        self.actionCCTBXwebsite.setObjectName("actionCCTBXwebsite")
        self.actionLocal_Help = QtWidgets.QAction(MainWindow)
        self.actionLocal_Help.setObjectName("actionLocal_Help")
        self.actionAbout = QtWidgets.QAction(MainWindow)
        self.actionAbout.setObjectName("actionAbout")
        self.actionColour_Gradient = QtWidgets.QAction(MainWindow)
        self.actionColour_Gradient.setObjectName("actionColour_Gradient")
        self.actionHKLviewer_Tutorial = QtWidgets.QAction(MainWindow)
        self.actionHKLviewer_Tutorial.setObjectName("actionHKLviewer_Tutorial")

        self.retranslateUi(MainWindow)
        self.tabWidget.setCurrentIndex(0)
        QtCore.QMetaObject.connectSlotsByName(MainWindow)

    def retranslateUi(self, MainWindow):
        _translate = QtCore.QCoreApplication.translate
        MainWindow.setWindowTitle(_translate("MainWindow", "MainWindow"))
        self.label.setText(_translate("MainWindow", "Voyager is software for finding the structure in your crystals and cryo-em maps.\n"
"It finds the structure either by\n"
"molecular replacement (for crystal structures) or\n"
"em-placement (for cryo-em maps).\n"
"\n"
"Voyager is composed of different Voyager protocols.\n"
"Voyager Scotty\n"
"Voyager Xtricorder\n"
"Voyager Nomad\n"
"Voyager Bones\n"
"Voyager Picard\n"
"\n"
""))
        self.documentation.setText(_translate("MainWindow", "view voyager documentation"))
        self.tabWidget.setTabText(self.tabWidget.indexOf(self.tab), _translate("MainWindow", "Intro"))
        self.label_tute.setText(_translate("MainWindow", " tutorial data"))
        self.combo_tute.setItemText(0, _translate("MainWindow", "---"))
        self.combo_tute.setItemText(1, _translate("MainWindow", "toxd"))
        self.combo_tute.setItemText(2, _translate("MainWindow", "beta-blip-p3221"))
        self.combo_tute.setItemText(3, _translate("MainWindow", "beta-blip-p212121"))
        self.combo_tute.setItemText(4, _translate("MainWindow", "carbohydrate esterase"))
        self.combo_tute.setItemText(5, _translate("MainWindow", "beta-carbonic anhydrase"))
        self.combo_tute.setItemText(6, _translate("MainWindow", "shiga-toxin"))
        self.combo_tute.setItemText(7, _translate("MainWindow", "hyp-1/ANS complex"))
        self.label_3.setText(_translate("MainWindow", "Fill input with tutorial data"))
        self.label_9.setText(_translate("MainWindow", "tutorial directory"))
        self.reset_tutorial.setText(_translate("MainWindow", "clear tutorial results"))
        self.dot_tmp.setText(_translate("MainWindow", "..."))
        self.tabWidget.setTabText(self.tabWidget.indexOf(self.tab_2), _translate("MainWindow", "Tutorial"))
        self.label_4.setText(_translate("MainWindow", "output phil file"))
        self.status_protocol.setText(_translate("MainWindow", "waiting"))
        self.label_a4.setText(_translate("MainWindow", "input phil file"))
        self.dot_data.setText(_translate("MainWindow", "..."))
        self.label_a6.setText(_translate("MainWindow", "status:"))
        self.edit_protocol.setItemText(1, _translate("MainWindow", "nomad"))
        self.edit_protocol.setItemText(2, _translate("MainWindow", "xtricorder"))
        self.edit_protocol.setItemText(3, _translate("MainWindow", "bones"))
        self.edit_protocol.setItemText(4, _translate("MainWindow", "picard"))
        self.dot_database.setText(_translate("MainWindow", "..."))
        self.edit_data.setToolTip(_translate("MainWindow", "<html><head/><body><p>Reflection data, phased or unphased</p></body></html>"))
        self.label_a2.setText(_translate("MainWindow", "database directory"))
        self.dot_phil.setText(_translate("MainWindow", "..."))
        self.label_a1.setText(_translate("MainWindow", "data directory"))
        self.label_a5.setText(_translate("MainWindow", "voyager"))
        self.run_protocol.setText(_translate("MainWindow", "run"))
        self.plainTextEdit.setPlainText(_translate("MainWindow", "phasertng {\n"
"}"))
        self.tabWidget.setTabText(self.tabWidget.indexOf(self.Input), _translate("MainWindow", "Input"))
        self.label_b1.setText(_translate("MainWindow", "database directory"))
        self.label_b2.setText(_translate("MainWindow", "show progress of:"))
        self.update_1.setText(_translate("MainWindow", "graph"))
        self.show_1.setToolTip(_translate("MainWindow", "<html><head/><body><p>Show progess of the running or completed protocol</p></body></html>"))
        self.show_1.setText(_translate("MainWindow", "view"))
        self.treeWidget.setToolTip(_translate("MainWindow", "<html><head/><body><p>Information about the node tracking identifier</p></body></html>"))
        self.dot_tree.setText(_translate("MainWindow", "..."))
        self.view_protocol.setItemText(0, _translate("MainWindow", "scotty"))
        self.view_protocol.setItemText(1, _translate("MainWindow", "nomad"))
        self.view_protocol.setItemText(2, _translate("MainWindow", "xtricorder"))
        self.view_protocol.setItemText(3, _translate("MainWindow", "bones"))
        self.view_protocol.setItemText(4, _translate("MainWindow", "picard"))
        self.view_protocol.setItemText(5, _translate("MainWindow", "other (use view file/viewing)"))
        self.tabWidget.setTabText(self.tabWidget.indexOf(self.Progress), _translate("MainWindow", "Progress"))
        self.radioButton_1.setText(_translate("MainWindow", "self rotation function plot for node"))
        self.radioButton_2.setText(_translate("MainWindow", "self rotation function mercator for node"))
        self.label_2.setText(_translate("MainWindow", "NODE"))
        self.nodetext_1.setToolTip(_translate("MainWindow", "<html><head/><body><p>Self rotation function (srf) node identifier. This will be generated by xtricorder. There is likely to be only one srf node in your tree.</p></body></html>"))
        self.nodetext_1.setText(_translate("MainWindow", "0"))
        self.label_16.setText(_translate("MainWindow", "NODE"))
        self.nodetext_2.setToolTip(_translate("MainWindow", "<html><head/><body><p>Identifier for solution node.</p></body></html>"))
        self.nodetext_2.setText(_translate("MainWindow", "0"))
        self.radioButton_3.setText(_translate("MainWindow", "summary logfile for node"))
        self.radioButton_4.setText(_translate("MainWindow", "standard logfile for node"))
        self.radioButton_5.setText(_translate("MainWindow", "verbose logfile for node"))
        self.tabWidget.setTabText(self.tabWidget.indexOf(self.Results), _translate("MainWindow", "Results"))
        self.actionOpen_reflection_file.setText(_translate("MainWindow", "Open reflection file..."))
        self.actionSettings.setText(_translate("MainWindow", "Settings"))
        self.actiondebug.setText(_translate("MainWindow", "Debug"))
        self.actionExit.setText(_translate("MainWindow", "Exit"))
        self.actionSave_reflection_file.setText(_translate("MainWindow", "Save reflection file..."))
        self.actionReset_View.setText(_translate("MainWindow", "Reset View"))
        self.actionSave_Current_Image.setText(_translate("MainWindow", "Save Current Image..."))
        self.actionCCTBXwebsite.setText(_translate("MainWindow", "CCTBX Documentation"))
        self.actionLocal_Help.setText(_translate("MainWindow", "Documentation"))
        self.actionAbout.setText(_translate("MainWindow", "About"))
        self.actionColour_Gradient.setText(_translate("MainWindow", "Colour Gradient..."))
        self.actionHKLviewer_Tutorial.setText(_translate("MainWindow", "Tutorial"))

